//---------------------------------------------------------------------------

#ifndef FrmVmsMsgFH
#define FrmVmsMsgFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ADODB.hpp>
#include <DB.hpp>
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
//---------------------------------------------------------------------------
#include "CDSVmsCtlrF.h"
#include "CenterCommF.h"
#include "FFBaseComponent.hpp"
#include "FFBasePlay.hpp"
#include "FFPlay.hpp"
#include "dxSkinMcSkin.hpp"

class TFrmVmsMsg : public TForm
{
__published:	// IDE-managed Components
    TTimer *TmrShow;
    TPanel *PnlVmsMsgDisp;
    TImage *ImgForm;
    TTimer *TmrVmsMsgDisp;
    TADOQuery *pADO;
    TPanel *PnlOffer;
    TcxLabel *lblTm;
    TTimer *TmrTicker;
    TFFPlayer *FFPlayer1;
    TPanel *LblTicker;
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall TmrVmsMsgDispTimer(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall TmrTickerTimer(TObject *Sender);
    void __fastcall FFPlayer1State(TObject *Sender, TPlayState APlayState);
private:	// User declarations
public:

    TVmsCtlr *FObj;
    int       FDispIndex;
    int       FPhaseCnt;

    TImage   *FVmsImage[INT_VMS_MAX_FORM];
    int       FInterval[INT_VMS_MAX_FORM];
    bool      FOffer[INT_VMS_MAX_FORM];
    String    FOfferTime[INT_VMS_MAX_FORM];
    int       FVMS_SCH_FORM_TYPE[INT_VMS_MAX_FORM];
    String    FVMS_DSPL_MSG_TXT[INT_VMS_MAX_FORM];

    int       FQryHour;
    int       FQryMin;
    int       FCycle;
    bool      FFormQuery;
    bool      FFormClose;

    void __fastcall ClearVmsForm();
    void __fastcall SetVmsForm();
    void __fastcall SelectVmsForm_HANTE();
    void __fastcall SelectVmsForm();
    void __fastcall VmsFormReload();

public:		// User declarations
    __fastcall TFrmVmsMsg(TComponent* Owner, TVmsCtlr *AObj);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmVmsMsg *FrmVmsMsg;
//---------------------------------------------------------------------------
#endif

